# Return Dynamic DNS domains

This function lists the user’s Dynamic DNS (DDNS) domains.

Important:

When you disable the _DNS_ role, the system disables this function.

Endpoint: GET /DynamicDNS/list
Version: 11.136.0.4
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list"

  - `module` (string)
    The name of the module called.
    Example: "DynamicDNS"

  - `result` (object)

  - `result.data` (array)
    The user’s DDNS domains.

  - `result.data.created_time` (integer)
    The DDNS domain’s creation time.

  - `result.data.description` (string)
    A user-editable string that describes the DDNS domain.
    Example: "My home network"

  - `result.data.domain` (string)
    The domain.
    Example: "home.example.com"

  - `result.data.id` (string)
    The domain’s DDNS ID.

Note:

This ID goes into the URL that the client uses to
[update the domain’s IP address
resolution](https://go.cpanel.net/cpaneldocsdynamicdns).
    Example: "gziugyxxjwnamqtwysgmvrurplmafxpj"

  - `result.data.last_run_times` (array)
    The most recent times when the web call ran.

Note:

This list changes every time the web call runs,
even if the domain’s IP address resolution does
not change.

  - `result.data.last_update_time` (integer,null)
    The most recent update time for the
DDNS domain.

Note:

This value changes only when
the domain’s IP address resolution changes.

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


